Package org.apache.bcel.generic

# Class EmptyVisitor

java.lang.Object
org.apache.bcel.generic.EmptyVisitor

All Implemented Interfaces:
  `Visitor`

Direct Known Subclasses:
  `ExecutionVisitor`, `InstConstraintVisitor`

public abstract class EmptyVisitor extends Object implements Visitor
Supplies empty method bodies to be overridden by subclasses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visitAALOAD(AALOAD obj)`
  `void`
  `visitAASTORE(AASTORE obj)`
  `void`
  `visitACONST_NULL(ACONST_NULL obj)`
  `void`
  `visitAllocationInstruction(AllocationInstruction obj)`
  `void`
  `visitALOAD(ALOAD obj)`
  `void`
  `visitANEWARRAY(ANEWARRAY obj)`
  `void`
  `visitARETURN(ARETURN obj)`
  `void`
  `visitArithmeticInstruction(ArithmeticInstruction obj)`
  `void`
  `visitArrayInstruction(ArrayInstruction obj)`
  `void`
  `visitARRAYLENGTH(ARRAYLENGTH obj)`
  `void`
  `visitASTORE(ASTORE obj)`
  `void`
  `visitATHROW(ATHROW obj)`
  `void`
  `visitBALOAD(BALOAD obj)`
  `void`
  `visitBASTORE(BASTORE obj)`
  `void`
  `visitBIPUSH(BIPUSH obj)`
  `void`
  `visitBranchInstruction(BranchInstruction obj)`
  `void`
  `visitBREAKPOINT(BREAKPOINT obj)`
  `void`
  `visitCALOAD(CALOAD obj)`
  `void`
  `visitCASTORE(CASTORE obj)`
  `void`
  `visitCHECKCAST(CHECKCAST obj)`
  `void`
  `visitConstantPushInstruction(ConstantPushInstruction obj)`
  `void`
  `visitConversionInstruction(ConversionInstruction obj)`
  `void`
  `visitCPInstruction(CPInstruction obj)`
  `void`
  `visitD2F(D2F obj)`
  `void`
  `visitD2I(D2I obj)`
  `void`
  `visitD2L(D2L obj)`
  `void`
  `visitDADD(DADD obj)`
  `void`
  `visitDALOAD(DALOAD obj)`
  `void`
  `visitDASTORE(DASTORE obj)`
  `void`
  `visitDCMPG(DCMPG obj)`
  `void`
  `visitDCMPL(DCMPL obj)`
  `void`
  `visitDCONST(DCONST obj)`
  `void`
  `visitDDIV(DDIV obj)`
  `void`
  `visitDLOAD(DLOAD obj)`
  `void`
  `visitDMUL(DMUL obj)`
  `void`
  `visitDNEG(DNEG obj)`
  `void`
  `visitDREM(DREM obj)`
  `void`
  `visitDRETURN(DRETURN obj)`
  `void`
  `visitDSTORE(DSTORE obj)`
  `void`
  `visitDSUB(DSUB obj)`
  `void`
  `visitDUP(DUP obj)`
  `void`
  `visitDUP_X1(DUP_X1 obj)`
  `void`
  `visitDUP_X2(DUP_X2 obj)`
  `void`
  `visitDUP2(DUP2 obj)`
  `void`
  `visitDUP2_X1(DUP2_X1 obj)`
  `void`
  `visitDUP2_X2(DUP2_X2 obj)`
  `void`
  `visitExceptionThrower(ExceptionThrower obj)`
  `void`
  `visitF2D(F2D obj)`
  `void`
  `visitF2I(F2I obj)`
  `void`
  `visitF2L(F2L obj)`
  `void`
  `visitFADD(FADD obj)`
  `void`
  `visitFALOAD(FALOAD obj)`
  `void`
  `visitFASTORE(FASTORE obj)`
  `void`
  `visitFCMPG(FCMPG obj)`
  `void`
  `visitFCMPL(FCMPL obj)`
  `void`
  `visitFCONST(FCONST obj)`
  `void`
  `visitFDIV(FDIV obj)`
  `void`
  `visitFieldInstruction(FieldInstruction obj)`
  `void`
  `visitFieldOrMethod(FieldOrMethod obj)`
  `void`
  `visitFLOAD(FLOAD obj)`
  `void`
  `visitFMUL(FMUL obj)`
  `void`
  `visitFNEG(FNEG obj)`
  `void`
  `visitFREM(FREM obj)`
  `void`
  `visitFRETURN(FRETURN obj)`
  `void`
  `visitFSTORE(FSTORE obj)`
  `void`
  `visitFSUB(FSUB obj)`
  `void`
  `visitGETFIELD(GETFIELD obj)`
  `void`
  `visitGETSTATIC(GETSTATIC obj)`
  `void`
  `visitGOTO(GOTO obj)`
  `void`
  `visitGOTO_W(GOTO_W obj)`
  `void`
  `visitGotoInstruction(GotoInstruction obj)`
  `void`
  `visitI2B(I2B obj)`
  `void`
  `visitI2C(I2C obj)`
  `void`
  `visitI2D(I2D obj)`
  `void`
  `visitI2F(I2F obj)`
  `void`
  `visitI2L(I2L obj)`
  `void`
  `visitI2S(I2S obj)`
  `void`
  `visitIADD(IADD obj)`
  `void`
  `visitIALOAD(IALOAD obj)`
  `void`
  `visitIAND(IAND obj)`
  `void`
  `visitIASTORE(IASTORE obj)`
  `void`
  `visitICONST(ICONST obj)`
  `void`
  `visitIDIV(IDIV obj)`
  `void`
  `visitIF_ACMPEQ(IF_ACMPEQ obj)`
  `void`
  `visitIF_ACMPNE(IF_ACMPNE obj)`
  `void`
  `visitIF_ICMPEQ(IF_ICMPEQ obj)`
  `void`
  `visitIF_ICMPGE(IF_ICMPGE obj)`
  `void`
  `visitIF_ICMPGT(IF_ICMPGT obj)`
  `void`
  `visitIF_ICMPLE(IF_ICMPLE obj)`
  `void`
  `visitIF_ICMPLT(IF_ICMPLT obj)`
  `void`
  `visitIF_ICMPNE(IF_ICMPNE obj)`
  `void`
  `visitIFEQ(IFEQ obj)`
  `void`
  `visitIFGE(IFGE obj)`
  `void`
  `visitIFGT(IFGT obj)`
  `void`
  `visitIfInstruction(IfInstruction obj)`
  `void`
  `visitIFLE(IFLE obj)`
  `void`
  `visitIFLT(IFLT obj)`
  `void`
  `visitIFNE(IFNE obj)`
  `void`
  `visitIFNONNULL(IFNONNULL obj)`
  `void`
  `visitIFNULL(IFNULL obj)`
  `void`
  `visitIINC(IINC obj)`
  `void`
  `visitILOAD(ILOAD obj)`
  `void`
  `visitIMPDEP1(IMPDEP1 obj)`
  `void`
  `visitIMPDEP2(IMPDEP2 obj)`
  `void`
  `visitIMUL(IMUL obj)`
  `void`
  `visitINEG(INEG obj)`
  `void`
  `visitINSTANCEOF(INSTANCEOF obj)`
  `void`
  `visitINVOKEDYNAMIC(INVOKEDYNAMIC obj)`
  `void`
  `visitInvokeInstruction(InvokeInstruction obj)`
  `void`
  `visitINVOKEINTERFACE(INVOKEINTERFACE obj)`
  `void`
  `visitINVOKESPECIAL(INVOKESPECIAL obj)`
  `void`
  `visitINVOKESTATIC(INVOKESTATIC obj)`
  `void`
  `visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)`
  `void`
  `visitIOR(IOR obj)`
  `void`
  `visitIREM(IREM obj)`
  `void`
  `visitIRETURN(IRETURN obj)`
  `void`
  `visitISHL(ISHL obj)`
  `void`
  `visitISHR(ISHR obj)`
  `void`
  `visitISTORE(ISTORE obj)`
  `void`
  `visitISUB(ISUB obj)`
  `void`
  `visitIUSHR(IUSHR obj)`
  `void`
  `visitIXOR(IXOR obj)`
  `void`
  `visitJSR(JSR obj)`
  `void`
  `visitJSR_W(JSR_W obj)`
  `void`
  `visitJsrInstruction(JsrInstruction obj)`
  `void`
  `visitL2D(L2D obj)`
  `void`
  `visitL2F(L2F obj)`
  `void`
  `visitL2I(L2I obj)`
  `void`
  `visitLADD(LADD obj)`
  `void`
  `visitLALOAD(LALOAD obj)`
  `void`
  `visitLAND(LAND obj)`
  `void`
  `visitLASTORE(LASTORE obj)`
  `void`
  `visitLCMP(LCMP obj)`
  `void`
  `visitLCONST(LCONST obj)`
  `void`
  `visitLDC(LDC obj)`
  `void`
  `visitLDC2_W(LDC2_W obj)`
  `void`
  `visitLDIV(LDIV obj)`
  `void`
  `visitLLOAD(LLOAD obj)`
  `void`
  `visitLMUL(LMUL obj)`
  `void`
  `visitLNEG(LNEG obj)`
  `void`
  `visitLoadClass(LoadClass obj)`
  `void`
  `visitLoadInstruction(LoadInstruction obj)`
  `void`
  `visitLocalVariableInstruction(LocalVariableInstruction obj)`
  `void`
  `visitLOOKUPSWITCH(LOOKUPSWITCH obj)`
  `void`
  `visitLOR(LOR obj)`
  `void`
  `visitLREM(LREM obj)`
  `void`
  `visitLRETURN(LRETURN obj)`
  `void`
  `visitLSHL(LSHL obj)`
  `void`
  `visitLSHR(LSHR obj)`
  `void`
  `visitLSTORE(LSTORE obj)`
  `void`
  `visitLSUB(LSUB obj)`
  `void`
  `visitLUSHR(LUSHR obj)`
  `void`
  `visitLXOR(LXOR obj)`
  `void`
  `visitMONITORENTER(MONITORENTER obj)`
  `void`
  `visitMONITOREXIT(MONITOREXIT obj)`
  `void`
  `visitMULTIANEWARRAY(MULTIANEWARRAY obj)`
  `void`
  `visitNEW(NEW obj)`
  `void`
  `visitNEWARRAY(NEWARRAY obj)`
  `void`
  `visitNOP(NOP obj)`
  `void`
  `visitPOP(POP obj)`
  `void`
  `visitPOP2(POP2 obj)`
  `void`
  `visitPopInstruction(PopInstruction obj)`
  `void`
  `visitPushInstruction(PushInstruction obj)`
  `void`
  `visitPUTFIELD(PUTFIELD obj)`
  `void`
  `visitPUTSTATIC(PUTSTATIC obj)`
  `void`
  `visitRET(RET obj)`
  `void`
  `visitRETURN(RETURN obj)`
  `void`
  `visitReturnInstruction(ReturnInstruction obj)`
  `void`
  `visitSALOAD(SALOAD obj)`
  `void`
  `visitSASTORE(SASTORE obj)`
  `void`
  `visitSelect(Select obj)`
  `void`
  `visitSIPUSH(SIPUSH obj)`
  `void`
  `visitStackConsumer(StackConsumer obj)`
  `void`
  `visitStackInstruction(StackInstruction obj)`
  `void`
  `visitStackProducer(StackProducer obj)`
  `void`
  `visitStoreInstruction(StoreInstruction obj)`
  `void`
  `visitSWAP(SWAP obj)`
  `void`
  `visitTABLESWITCH(TABLESWITCH obj)`
  `void`
  `visitTypedInstruction(TypedInstruction obj)`
  `void`
  `visitUnconditionalBranch(UnconditionalBranch obj)`
  `void`
  `visitVariableLengthInstruction(VariableLengthInstruction obj)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyVisitor

    public EmptyVisitor()

- ## Method Details

  - ### visitAALOAD

    public void visitAALOAD(AALOAD obj)
    Specified by:
      `visitAALOAD` in interface `Visitor`

  - ### visitAASTORE

    public void visitAASTORE(AASTORE obj)
    Specified by:
      `visitAASTORE` in interface `Visitor`

  - ### visitACONST_NULL

    public void visitACONST_NULL(ACONST_NULL obj)
    Specified by:
      `visitACONST_NULL` in interface `Visitor`

  - ### visitAllocationInstruction

    public void visitAllocationInstruction(AllocationInstruction obj)
    Specified by:
      `visitAllocationInstruction` in interface `Visitor`

  - ### visitALOAD

    public void visitALOAD(ALOAD obj)
    Specified by:
      `visitALOAD` in interface `Visitor`

  - ### visitANEWARRAY

    public void visitANEWARRAY(ANEWARRAY obj)
    Specified by:
      `visitANEWARRAY` in interface `Visitor`

  - ### visitARETURN

    public void visitARETURN(ARETURN obj)
    Specified by:
      `visitARETURN` in interface `Visitor`

  - ### visitArithmeticInstruction

    public void visitArithmeticInstruction(ArithmeticInstruction obj)
    Specified by:
      `visitArithmeticInstruction` in interface `Visitor`

  - ### visitArrayInstruction

    public void visitArrayInstruction(ArrayInstruction obj)
    Specified by:
      `visitArrayInstruction` in interface `Visitor`

  - ### visitARRAYLENGTH

    public void visitARRAYLENGTH(ARRAYLENGTH obj)
    Specified by:
      `visitARRAYLENGTH` in interface `Visitor`

  - ### visitASTORE

    public void visitASTORE(ASTORE obj)
    Specified by:
      `visitASTORE` in interface `Visitor`

  - ### visitATHROW

    public void visitATHROW(ATHROW obj)
    Specified by:
      `visitATHROW` in interface `Visitor`

  - ### visitBALOAD

    public void visitBALOAD(BALOAD obj)
    Specified by:
      `visitBALOAD` in interface `Visitor`

  - ### visitBASTORE

    public void visitBASTORE(BASTORE obj)
    Specified by:
      `visitBASTORE` in interface `Visitor`

  - ### visitBIPUSH

    public void visitBIPUSH(BIPUSH obj)
    Specified by:
      `visitBIPUSH` in interface `Visitor`

  - ### visitBranchInstruction

    public void visitBranchInstruction(BranchInstruction obj)
    Specified by:
      `visitBranchInstruction` in interface `Visitor`

  - ### visitBREAKPOINT

    public void visitBREAKPOINT(BREAKPOINT obj)
    Specified by:
      `visitBREAKPOINT` in interface `Visitor`

  - ### visitCALOAD

    public void visitCALOAD(CALOAD obj)
    Specified by:
      `visitCALOAD` in interface `Visitor`

  - ### visitCASTORE

    public void visitCASTORE(CASTORE obj)
    Specified by:
      `visitCASTORE` in interface `Visitor`

  - ### visitCHECKCAST

    public void visitCHECKCAST(CHECKCAST obj)
    Specified by:
      `visitCHECKCAST` in interface `Visitor`

  - ### visitConstantPushInstruction

    public void visitConstantPushInstruction(ConstantPushInstruction obj)
    Specified by:
      `visitConstantPushInstruction` in interface `Visitor`

  - ### visitConversionInstruction

    public void visitConversionInstruction(ConversionInstruction obj)
    Specified by:
      `visitConversionInstruction` in interface `Visitor`

  - ### visitCPInstruction

    public void visitCPInstruction(CPInstruction obj)
    Specified by:
      `visitCPInstruction` in interface `Visitor`

  - ### visitD2F

    public void visitD2F(D2F obj)
    Specified by:
      `visitD2F` in interface `Visitor`

  - ### visitD2I

    public void visitD2I(D2I obj)
    Specified by:
      `visitD2I` in interface `Visitor`

  - ### visitD2L

    public void visitD2L(D2L obj)
    Specified by:
      `visitD2L` in interface `Visitor`

  - ### visitDADD

    public void visitDADD(DADD obj)
    Specified by:
      `visitDADD` in interface `Visitor`

  - ### visitDALOAD

    public void visitDALOAD(DALOAD obj)
    Specified by:
      `visitDALOAD` in interface `Visitor`

  - ### visitDASTORE

    public void visitDASTORE(DASTORE obj)
    Specified by:
      `visitDASTORE` in interface `Visitor`

  - ### visitDCMPG

    public void visitDCMPG(DCMPG obj)
    Specified by:
      `visitDCMPG` in interface `Visitor`

  - ### visitDCMPL

    public void visitDCMPL(DCMPL obj)
    Specified by:
      `visitDCMPL` in interface `Visitor`

  - ### visitDCONST

    public void visitDCONST(DCONST obj)
    Specified by:
      `visitDCONST` in interface `Visitor`

  - ### visitDDIV

    public void visitDDIV(DDIV obj)
    Specified by:
      `visitDDIV` in interface `Visitor`

  - ### visitDLOAD

    public void visitDLOAD(DLOAD obj)
    Specified by:
      `visitDLOAD` in interface `Visitor`

  - ### visitDMUL

    public void visitDMUL(DMUL obj)
    Specified by:
      `visitDMUL` in interface `Visitor`

  - ### visitDNEG

    public void visitDNEG(DNEG obj)
    Specified by:
      `visitDNEG` in interface `Visitor`

  - ### visitDREM

    public void visitDREM(DREM obj)
    Specified by:
      `visitDREM` in interface `Visitor`

  - ### visitDRETURN

    public void visitDRETURN(DRETURN obj)
    Specified by:
      `visitDRETURN` in interface `Visitor`

  - ### visitDSTORE

    public void visitDSTORE(DSTORE obj)
    Specified by:
      `visitDSTORE` in interface `Visitor`

  - ### visitDSUB

    public void visitDSUB(DSUB obj)
    Specified by:
      `visitDSUB` in interface `Visitor`

  - ### visitDUP

    public void visitDUP(DUP obj)
    Specified by:
      `visitDUP` in interface `Visitor`

  - ### visitDUP_X1

    public void visitDUP_X1(DUP_X1 obj)
    Specified by:
      `visitDUP_X1` in interface `Visitor`

  - ### visitDUP_X2

    public void visitDUP_X2(DUP_X2 obj)
    Specified by:
      `visitDUP_X2` in interface `Visitor`

  - ### visitDUP2

    public void visitDUP2(DUP2 obj)
    Specified by:
      `visitDUP2` in interface `Visitor`

  - ### visitDUP2_X1

    public void visitDUP2_X1(DUP2_X1 obj)
    Specified by:
      `visitDUP2_X1` in interface `Visitor`

  - ### visitDUP2_X2

    public void visitDUP2_X2(DUP2_X2 obj)
    Specified by:
      `visitDUP2_X2` in interface `Visitor`

  - ### visitExceptionThrower

    public void visitExceptionThrower(ExceptionThrower obj)
    Specified by:
      `visitExceptionThrower` in interface `Visitor`

  - ### visitF2D

    public void visitF2D(F2D obj)
    Specified by:
      `visitF2D` in interface `Visitor`

  - ### visitF2I

    public void visitF2I(F2I obj)
    Specified by:
      `visitF2I` in interface `Visitor`

  - ### visitF2L

    public void visitF2L(F2L obj)
    Specified by:
      `visitF2L` in interface `Visitor`

  - ### visitFADD

    public void visitFADD(FADD obj)
    Specified by:
      `visitFADD` in interface `Visitor`

  - ### visitFALOAD

    public void visitFALOAD(FALOAD obj)
    Specified by:
      `visitFALOAD` in interface `Visitor`

  - ### visitFASTORE

    public void visitFASTORE(FASTORE obj)
    Specified by:
      `visitFASTORE` in interface `Visitor`

  - ### visitFCMPG

    public void visitFCMPG(FCMPG obj)
    Specified by:
      `visitFCMPG` in interface `Visitor`

  - ### visitFCMPL

    public void visitFCMPL(FCMPL obj)
    Specified by:
      `visitFCMPL` in interface `Visitor`

  - ### visitFCONST

    public void visitFCONST(FCONST obj)
    Specified by:
      `visitFCONST` in interface `Visitor`

  - ### visitFDIV

    public void visitFDIV(FDIV obj)
    Specified by:
      `visitFDIV` in interface `Visitor`

  - ### visitFieldInstruction

    public void visitFieldInstruction(FieldInstruction obj)
    Specified by:
      `visitFieldInstruction` in interface `Visitor`

  - ### visitFieldOrMethod

    public void visitFieldOrMethod(FieldOrMethod obj)
    Specified by:
      `visitFieldOrMethod` in interface `Visitor`

  - ### visitFLOAD

    public void visitFLOAD(FLOAD obj)
    Specified by:
      `visitFLOAD` in interface `Visitor`

  - ### visitFMUL

    public void visitFMUL(FMUL obj)
    Specified by:
      `visitFMUL` in interface `Visitor`

  - ### visitFNEG

    public void visitFNEG(FNEG obj)
    Specified by:
      `visitFNEG` in interface `Visitor`

  - ### visitFREM

    public void visitFREM(FREM obj)
    Specified by:
      `visitFREM` in interface `Visitor`

  - ### visitFRETURN

    public void visitFRETURN(FRETURN obj)
    Specified by:
      `visitFRETURN` in interface `Visitor`

  - ### visitFSTORE

    public void visitFSTORE(FSTORE obj)
    Specified by:
      `visitFSTORE` in interface `Visitor`

  - ### visitFSUB

    public void visitFSUB(FSUB obj)
    Specified by:
      `visitFSUB` in interface `Visitor`

  - ### visitGETFIELD

    public void visitGETFIELD(GETFIELD obj)
    Specified by:
      `visitGETFIELD` in interface `Visitor`

  - ### visitGETSTATIC

    public void visitGETSTATIC(GETSTATIC obj)
    Specified by:
      `visitGETSTATIC` in interface `Visitor`

  - ### visitGOTO

    public void visitGOTO(GOTO obj)
    Specified by:
      `visitGOTO` in interface `Visitor`

  - ### visitGOTO_W

    public void visitGOTO_W(GOTO_W obj)
    Specified by:
      `visitGOTO_W` in interface `Visitor`

  - ### visitGotoInstruction

    public void visitGotoInstruction(GotoInstruction obj)
    Specified by:
      `visitGotoInstruction` in interface `Visitor`

  - ### visitI2B

    public void visitI2B(I2B obj)
    Specified by:
      `visitI2B` in interface `Visitor`

  - ### visitI2C

    public void visitI2C(I2C obj)
    Specified by:
      `visitI2C` in interface `Visitor`

  - ### visitI2D

    public void visitI2D(I2D obj)
    Specified by:
      `visitI2D` in interface `Visitor`

  - ### visitI2F

    public void visitI2F(I2F obj)
    Specified by:
      `visitI2F` in interface `Visitor`

  - ### visitI2L

    public void visitI2L(I2L obj)
    Specified by:
      `visitI2L` in interface `Visitor`

  - ### visitI2S

    public void visitI2S(I2S obj)
    Specified by:
      `visitI2S` in interface `Visitor`

  - ### visitIADD

    public void visitIADD(IADD obj)
    Specified by:
      `visitIADD` in interface `Visitor`

  - ### visitIALOAD

    public void visitIALOAD(IALOAD obj)
    Specified by:
      `visitIALOAD` in interface `Visitor`

  - ### visitIAND

    public void visitIAND(IAND obj)
    Specified by:
      `visitIAND` in interface `Visitor`

  - ### visitIASTORE

    public void visitIASTORE(IASTORE obj)
    Specified by:
      `visitIASTORE` in interface `Visitor`

  - ### visitICONST

    public void visitICONST(ICONST obj)
    Specified by:
      `visitICONST` in interface `Visitor`

  - ### visitIDIV

    public void visitIDIV(IDIV obj)
    Specified by:
      `visitIDIV` in interface `Visitor`

  - ### visitIF_ACMPEQ

    public void visitIF_ACMPEQ(IF_ACMPEQ obj)
    Specified by:
      `visitIF_ACMPEQ` in interface `Visitor`

  - ### visitIF_ACMPNE

    public void visitIF_ACMPNE(IF_ACMPNE obj)
    Specified by:
      `visitIF_ACMPNE` in interface `Visitor`

  - ### visitIF_ICMPEQ

    public void visitIF_ICMPEQ(IF_ICMPEQ obj)
    Specified by:
      `visitIF_ICMPEQ` in interface `Visitor`

  - ### visitIF_ICMPGE

    public void visitIF_ICMPGE(IF_ICMPGE obj)
    Specified by:
      `visitIF_ICMPGE` in interface `Visitor`

  - ### visitIF_ICMPGT

    public void visitIF_ICMPGT(IF_ICMPGT obj)
    Specified by:
      `visitIF_ICMPGT` in interface `Visitor`

  - ### visitIF_ICMPLE

    public void visitIF_ICMPLE(IF_ICMPLE obj)
    Specified by:
      `visitIF_ICMPLE` in interface `Visitor`

  - ### visitIF_ICMPLT

    public void visitIF_ICMPLT(IF_ICMPLT obj)
    Specified by:
      `visitIF_ICMPLT` in interface `Visitor`

  - ### visitIF_ICMPNE

    public void visitIF_ICMPNE(IF_ICMPNE obj)
    Specified by:
      `visitIF_ICMPNE` in interface `Visitor`

  - ### visitIFEQ

    public void visitIFEQ(IFEQ obj)
    Specified by:
      `visitIFEQ` in interface `Visitor`

  - ### visitIFGE

    public void visitIFGE(IFGE obj)
    Specified by:
      `visitIFGE` in interface `Visitor`

  - ### visitIFGT

    public void visitIFGT(IFGT obj)
    Specified by:
      `visitIFGT` in interface `Visitor`

  - ### visitIfInstruction

    public void visitIfInstruction(IfInstruction obj)
    Specified by:
      `visitIfInstruction` in interface `Visitor`

  - ### visitIFLE

    public void visitIFLE(IFLE obj)
    Specified by:
      `visitIFLE` in interface `Visitor`

  - ### visitIFLT

    public void visitIFLT(IFLT obj)
    Specified by:
      `visitIFLT` in interface `Visitor`

  - ### visitIFNE

    public void visitIFNE(IFNE obj)
    Specified by:
      `visitIFNE` in interface `Visitor`

  - ### visitIFNONNULL

    public void visitIFNONNULL(IFNONNULL obj)
    Specified by:
      `visitIFNONNULL` in interface `Visitor`

  - ### visitIFNULL

    public void visitIFNULL(IFNULL obj)
    Specified by:
      `visitIFNULL` in interface `Visitor`

  - ### visitIINC

    public void visitIINC(IINC obj)
    Specified by:
      `visitIINC` in interface `Visitor`

  - ### visitILOAD

    public void visitILOAD(ILOAD obj)
    Specified by:
      `visitILOAD` in interface `Visitor`

  - ### visitIMPDEP1

    public void visitIMPDEP1(IMPDEP1 obj)
    Specified by:
      `visitIMPDEP1` in interface `Visitor`

  - ### visitIMPDEP2

    public void visitIMPDEP2(IMPDEP2 obj)
    Specified by:
      `visitIMPDEP2` in interface `Visitor`

  - ### visitIMUL

    public void visitIMUL(IMUL obj)
    Specified by:
      `visitIMUL` in interface `Visitor`

  - ### visitINEG

    public void visitINEG(INEG obj)
    Specified by:
      `visitINEG` in interface `Visitor`

  - ### visitINSTANCEOF

    public void visitINSTANCEOF(INSTANCEOF obj)
    Specified by:
      `visitINSTANCEOF` in interface `Visitor`

  - ### visitINVOKEDYNAMIC

    public void visitINVOKEDYNAMIC(INVOKEDYNAMIC obj)
    Specified by:
      `visitINVOKEDYNAMIC` in interface `Visitor`
    Since:
      6.0

  - ### visitInvokeInstruction

    public void visitInvokeInstruction(InvokeInstruction obj)
    Specified by:
      `visitInvokeInstruction` in interface `Visitor`

  - ### visitINVOKEINTERFACE

    public void visitINVOKEINTERFACE(INVOKEINTERFACE obj)
    Specified by:
      `visitINVOKEINTERFACE` in interface `Visitor`

  - ### visitINVOKESPECIAL

    public void visitINVOKESPECIAL(INVOKESPECIAL obj)
    Specified by:
      `visitINVOKESPECIAL` in interface `Visitor`

  - ### visitINVOKESTATIC

    public void visitINVOKESTATIC(INVOKESTATIC obj)
    Specified by:
      `visitINVOKESTATIC` in interface `Visitor`

  - ### visitINVOKEVIRTUAL

    public void visitINVOKEVIRTUAL(INVOKEVIRTUAL obj)
    Specified by:
      `visitINVOKEVIRTUAL` in interface `Visitor`

  - ### visitIOR

    public void visitIOR(IOR obj)
    Specified by:
      `visitIOR` in interface `Visitor`

  - ### visitIREM

    public void visitIREM(IREM obj)
    Specified by:
      `visitIREM` in interface `Visitor`

  - ### visitIRETURN

    public void visitIRETURN(IRETURN obj)
    Specified by:
      `visitIRETURN` in interface `Visitor`

  - ### visitISHL

    public void visitISHL(ISHL obj)
    Specified by:
      `visitISHL` in interface `Visitor`

  - ### visitISHR

    public void visitISHR(ISHR obj)
    Specified by:
      `visitISHR` in interface `Visitor`

  - ### visitISTORE

    public void visitISTORE(ISTORE obj)
    Specified by:
      `visitISTORE` in interface `Visitor`

  - ### visitISUB

    public void visitISUB(ISUB obj)
    Specified by:
      `visitISUB` in interface `Visitor`

  - ### visitIUSHR

    public void visitIUSHR(IUSHR obj)
    Specified by:
      `visitIUSHR` in interface `Visitor`

  - ### visitIXOR

    public void visitIXOR(IXOR obj)
    Specified by:
      `visitIXOR` in interface `Visitor`

  - ### visitJSR

    public void visitJSR(JSR obj)
    Specified by:
      `visitJSR` in interface `Visitor`

  - ### visitJSR_W

    public void visitJSR_W(JSR_W obj)
    Specified by:
      `visitJSR_W` in interface `Visitor`

  - ### visitJsrInstruction

    public void visitJsrInstruction(JsrInstruction obj)
    Specified by:
      `visitJsrInstruction` in interface `Visitor`

  - ### visitL2D

    public void visitL2D(L2D obj)
    Specified by:
      `visitL2D` in interface `Visitor`

  - ### visitL2F

    public void visitL2F(L2F obj)
    Specified by:
      `visitL2F` in interface `Visitor`

  - ### visitL2I

    public void visitL2I(L2I obj)
    Specified by:
      `visitL2I` in interface `Visitor`

  - ### visitLADD

    public void visitLADD(LADD obj)
    Specified by:
      `visitLADD` in interface `Visitor`

  - ### visitLALOAD

    public void visitLALOAD(LALOAD obj)
    Specified by:
      `visitLALOAD` in interface `Visitor`

  - ### visitLAND

    public void visitLAND(LAND obj)
    Specified by:
      `visitLAND` in interface `Visitor`

  - ### visitLASTORE

    public void visitLASTORE(LASTORE obj)
    Specified by:
      `visitLASTORE` in interface `Visitor`

  - ### visitLCMP

    public void visitLCMP(LCMP obj)
    Specified by:
      `visitLCMP` in interface `Visitor`

  - ### visitLCONST

    public void visitLCONST(LCONST obj)
    Specified by:
      `visitLCONST` in interface `Visitor`

  - ### visitLDC

    public void visitLDC(LDC obj)
    Specified by:
      `visitLDC` in interface `Visitor`

  - ### visitLDC2_W

    public void visitLDC2_W(LDC2_W obj)
    Specified by:
      `visitLDC2_W` in interface `Visitor`

  - ### visitLDIV

    public void visitLDIV(LDIV obj)
    Specified by:
      `visitLDIV` in interface `Visitor`

  - ### visitLLOAD

    public void visitLLOAD(LLOAD obj)
    Specified by:
      `visitLLOAD` in interface `Visitor`

  - ### visitLMUL

    public void visitLMUL(LMUL obj)
    Specified by:
      `visitLMUL` in interface `Visitor`

  - ### visitLNEG

    public void visitLNEG(LNEG obj)
    Specified by:
      `visitLNEG` in interface `Visitor`

  - ### visitLoadClass

    public void visitLoadClass(LoadClass obj)
    Specified by:
      `visitLoadClass` in interface `Visitor`

  - ### visitLoadInstruction

    public void visitLoadInstruction(LoadInstruction obj)
    Specified by:
      `visitLoadInstruction` in interface `Visitor`

  - ### visitLocalVariableInstruction

    public void visitLocalVariableInstruction(LocalVariableInstruction obj)
    Specified by:
      `visitLocalVariableInstruction` in interface `Visitor`

  - ### visitLOOKUPSWITCH

    public void visitLOOKUPSWITCH(LOOKUPSWITCH obj)
    Specified by:
      `visitLOOKUPSWITCH` in interface `Visitor`

  - ### visitLOR

    public void visitLOR(LOR obj)
    Specified by:
      `visitLOR` in interface `Visitor`

  - ### visitLREM

    public void visitLREM(LREM obj)
    Specified by:
      `visitLREM` in interface `Visitor`

  - ### visitLRETURN

    public void visitLRETURN(LRETURN obj)
    Specified by:
      `visitLRETURN` in interface `Visitor`

  - ### visitLSHL

    public void visitLSHL(LSHL obj)
    Specified by:
      `visitLSHL` in interface `Visitor`

  - ### visitLSHR

    public void visitLSHR(LSHR obj)
    Specified by:
      `visitLSHR` in interface `Visitor`

  - ### visitLSTORE

    public void visitLSTORE(LSTORE obj)
    Specified by:
      `visitLSTORE` in interface `Visitor`

  - ### visitLSUB

    public void visitLSUB(LSUB obj)
    Specified by:
      `visitLSUB` in interface `Visitor`

  - ### visitLUSHR

    public void visitLUSHR(LUSHR obj)
    Specified by:
      `visitLUSHR` in interface `Visitor`

  - ### visitLXOR

    public void visitLXOR(LXOR obj)
    Specified by:
      `visitLXOR` in interface `Visitor`

  - ### visitMONITORENTER

    public void visitMONITORENTER(MONITORENTER obj)
    Specified by:
      `visitMONITORENTER` in interface `Visitor`

  - ### visitMONITOREXIT

    public void visitMONITOREXIT(MONITOREXIT obj)
    Specified by:
      `visitMONITOREXIT` in interface `Visitor`

  - ### visitMULTIANEWARRAY

    public void visitMULTIANEWARRAY(MULTIANEWARRAY obj)
    Specified by:
      `visitMULTIANEWARRAY` in interface `Visitor`

  - ### visitNEW

    public void visitNEW(NEW obj)
    Specified by:
      `visitNEW` in interface `Visitor`

  - ### visitNEWARRAY

    public void visitNEWARRAY(NEWARRAY obj)
    Specified by:
      `visitNEWARRAY` in interface `Visitor`

  - ### visitNOP

    public void visitNOP(NOP obj)
    Specified by:
      `visitNOP` in interface `Visitor`

  - ### visitPOP

    public void visitPOP(POP obj)
    Specified by:
      `visitPOP` in interface `Visitor`

  - ### visitPOP2

    public void visitPOP2(POP2 obj)
    Specified by:
      `visitPOP2` in interface `Visitor`

  - ### visitPopInstruction

    public void visitPopInstruction(PopInstruction obj)
    Specified by:
      `visitPopInstruction` in interface `Visitor`

  - ### visitPushInstruction

    public void visitPushInstruction(PushInstruction obj)
    Specified by:
      `visitPushInstruction` in interface `Visitor`

  - ### visitPUTFIELD

    public void visitPUTFIELD(PUTFIELD obj)
    Specified by:
      `visitPUTFIELD` in interface `Visitor`

  - ### visitPUTSTATIC

    public void visitPUTSTATIC(PUTSTATIC obj)
    Specified by:
      `visitPUTSTATIC` in interface `Visitor`

  - ### visitRET

    public void visitRET(RET obj)
    Specified by:
      `visitRET` in interface `Visitor`

  - ### visitRETURN

    public void visitRETURN(RETURN obj)
    Specified by:
      `visitRETURN` in interface `Visitor`

  - ### visitReturnInstruction

    public void visitReturnInstruction(ReturnInstruction obj)
    Specified by:
      `visitReturnInstruction` in interface `Visitor`

  - ### visitSALOAD

    public void visitSALOAD(SALOAD obj)
    Specified by:
      `visitSALOAD` in interface `Visitor`

  - ### visitSASTORE

    public void visitSASTORE(SASTORE obj)
    Specified by:
      `visitSASTORE` in interface `Visitor`

  - ### visitSelect

    public void visitSelect(Select obj)
    Specified by:
      `visitSelect` in interface `Visitor`

  - ### visitSIPUSH

    public void visitSIPUSH(SIPUSH obj)
    Specified by:
      `visitSIPUSH` in interface `Visitor`

  - ### visitStackConsumer

    public void visitStackConsumer(StackConsumer obj)
    Specified by:
      `visitStackConsumer` in interface `Visitor`

  - ### visitStackInstruction

    public void visitStackInstruction(StackInstruction obj)
    Specified by:
      `visitStackInstruction` in interface `Visitor`

  - ### visitStackProducer

    public void visitStackProducer(StackProducer obj)
    Specified by:
      `visitStackProducer` in interface `Visitor`

  - ### visitStoreInstruction

    public void visitStoreInstruction(StoreInstruction obj)
    Specified by:
      `visitStoreInstruction` in interface `Visitor`

  - ### visitSWAP

    public void visitSWAP(SWAP obj)
    Specified by:
      `visitSWAP` in interface `Visitor`

  - ### visitTABLESWITCH

    public void visitTABLESWITCH(TABLESWITCH obj)
    Specified by:
      `visitTABLESWITCH` in interface `Visitor`

  - ### visitTypedInstruction

    public void visitTypedInstruction(TypedInstruction obj)
    Specified by:
      `visitTypedInstruction` in interface `Visitor`

  - ### visitUnconditionalBranch

    public void visitUnconditionalBranch(UnconditionalBranch obj)
    Specified by:
      `visitUnconditionalBranch` in interface `Visitor`

  - ### visitVariableLengthInstruction

    public void visitVariableLengthInstruction(VariableLengthInstruction obj)
    Specified by:
      `visitVariableLengthInstruction` in interface `Visitor`